Skip to main content
POST
Upload an ECU binary

Authorizations

Authorization
string
header
required

All API methods require Bearer authentication. Use your existing API key as the bearer token.

Authorization header format: Authorization: Bearer YOUR_API_KEY.

Body

multipart/form-data
file
file
required

One raw ECU binary, maximum 8 MiB.

Response

Successful response.

file_id
string<uuid>
required

Opaque account-owned identifier.

size_bytes
integer
required
Required range: 1 <= x <= 8388608
sha256
string
required
Pattern: ^[a-f0-9]{64}$
expires_at
string<date-time>
required